XpEndDoc(3Xp)

NAME
XpEndDoc - Indicates the ending of a print document.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

void XpEndDoc ( display )
      Display *display;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

DESCRIPTION

XpEndDoc signals the end of a print document. All resulting document data is assembled and combined with data previously sent by XpPutDocumentData. For clients selecting XPPrintMask (see XpSelectInput), the event XPPrintNotify is generated with its detail field set to XPEndDocNotify.

DIAGNOSTICS

XPBadContext
    A valid print context-id has not been set prior to making this call.

XPBadSequence
    The function was not called in the proper order with respect to the other X Print Service Extension calls. (Example, XpEndDoc prior to XpStartDoc).

SEE ALSO
XpPutDocumentData(3Xp), XpSelectInput(3Xp), XpStartDoc(3Xp)